Bug 197156 - createrepo always tells "Directory must exist"
createrepo always tells "Directory must exist"
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 18:00 EDT by Robert Scheck
Modified: 2014-01-21 17:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 08:49:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-06-28 18:00:02 EDT
Description of problem:
$ createrepo files-yum
Directory must exist
$

$ ls -ld files-yum
drwxr-xr-x 3 robert users 4096 Jun 28 14:15 files-yum
$

Version-Release number of selected component (if applicable):
createrepo-0.4.4-1

How reproducible:
Everytime, see above.

Actual results:
createrepo always tells "Directory must exist"

Expected results:
Working like in 0.4.3-5.1 for example...

Additional info:
[23:42:03] < rsc> skvidal: is it normal, "createrepo foo" is looking/expecting 
"foo/foo" as directory?
[23:46:39] < skvidal> rsc: what?
[23:48:12] < rsc> skvidal: entering "createrepo myrpms-directory" is looking for 
"createrepo myrpms-directory/myrpms-directory"
[23:48:45] < skvidal> where did you get this createrepo?
[23:49:09] < skvidal> if I run:
[23:49:13] < rsc> Rawhide.
[23:49:16] < skvidal>  createrepo foo
[23:49:17] < skvidal> Directory must exist
[23:49:19] < skvidal> that's what I get
[23:49:22] < skvidal> if I mkdir foo
[23:49:32] < skvidal> and run it again
[23:49:37] < skvidal> Saving Primary metadata
[23:49:37] < skvidal> Saving file lists metadata
[23:49:37] < skvidal> Saving other metadata
[23:49:46] < skvidal> where do you see it looking for something else/
[23:50:23] < skvidal> in short - how can I replicate this error?
[23:51:30] < rsc> $ createrepo files-yum -> Directory must exist -> ls -ld 
files-yum -> drwxr-xr-x 3 robert users 4096 Jun 28 14:15 files-yum
[23:51:57] < skvidal> is files-yum a symlink, by chance?
[23:52:11] < rsc> one of the subdirectories within files-yum, yes.
[23:52:19] < skvidal> the subdir shouldn't matter
[23:53:05] < skvidal> do this for me
[23:53:09] < skvidal> run pwd
[23:53:20] < skvidal> then type: stat `pwd`/files-yum
[23:54:21] < rsc> pwd: /home/robert/web/mirror
[23:54:45] < skvidal> here is the code that outputs the error statement you're 
getting
[23:54:46] < skvidal>     if not os.path.exists(os.path.join(cmds['basedir'], 
directory)):
[23:54:46] < skvidal>         errorprint(_('Directory must exist'))
[23:54:46] < skvidal>         sys.exit(1)
[23:55:15] < rsc>   File: `/home/robert/web/mirror/files-yum' Size: 4096         
   Blocks: 16         IO Block: 4096   directory
[23:55:15] < rsc> Device: 6802h/26626d    Inode: 426103      Links: 3
[23:55:15] < rsc> Access: (0755/drwxr-xr-x)  Uid: (  500/  robert)   Gid: (  
100/   users)
[23:55:15] < rsc> Access: 2006-06-28 23:50:40.000000000 +0200
[23:55:15] < rsc> Modify: 2006-06-28 14:15:13.000000000 +0200
[23:55:15] < rsc> Change: 2006-06-28 14:15:13.000000000 +0200
[23:55:44] < skvidal> rsc: if you make another dir in that dir
[23:55:53] < skvidal> rsc: and run createrepo on it - does it work?
[23:56:17] < rsc> skvidal: can I also run it to empty directories?
[23:56:38] < skvidal> yes
[23:57:14] < rsc> $ createrepo foo -> Directory must exist -> ls -ld foo -> 
drwxr-xr-x 6 robert users 4096 Jun 18 01:31 foo
[23:57:30] < skvidal> and now try the same thing in /tmp
[23:57:42] < rsc> okay.
[23:57:59] * skvidal thinks the path is not resolving itself out
[23:58:07] < rsc> same.
[23:58:42] < skvidal> cd into the dir you want to make into a repo and run 
createrepo .
[23:58:46] < rsc> this works
[23:59:16] < skvidal> something is wrong with os.path.normpath, I bet
[23:59:23] < skvidal> you running python 2.5, now?
[23:59:37] < rsc> no, latest Rawhide.
[00:00:06] < rsc> last time, I run createrepo was 0.4.3-5, maybe I should 
downgrade and retry
[00:00:49] < skvidal> okay
[00:02:28] < rsc> yupp, 0.4.3-5.1 works
[00:02:41] < rsc> 1/1 - rpm-4.4.6-1.i386.rpm
[00:02:41] < rsc> Saving Primary metadata
[00:02:41] < rsc> Saving file lists metadata
[00:02:41] < rsc> Saving other metadata
[00:02:45] < skvidal> okay
[00:02:50] < skvidal> go ahead and file the bug, I'll look at it
[00:03:11] < rsc> okay. Thanks for having the time
Comment 1 Robert Scheck 2006-09-23 13:24:31 EDT
Seth, ping?
Comment 2 Seth Vidal 2006-09-24 17:59:13 EDT
cvs createrepo has this fixed. Not sure where we are for a release, though.
Comment 3 Seth Vidal 2007-07-30 08:49:53 EDT
this has been out for a while now - current releases of fc6 and f7 both have it
corrected so I'm going to close this bug

Note You need to log in before you can comment on or make changes to this bug.